> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Normal Transactions Advanced Filter

> Retrieves Normal Transactions with advanced from and to address filtering.

<Badge icon="flask" color="yellow">Beta</Badge>

Explore and preview data from our [Advanced Filter](https://etherscan.io/advanced-filter) page.

## Query parameters.

<ParamField query="apikey" default="YourApiKeyToken" type="string">
  Your Etherscan API key.
</ParamField>

<ParamField query="chainid" default="1" type="string">
  Chain ID to query, such as `1` for Ethereum or `8453` for Base from our [supported chains](/supported-chains).
</ParamField>

<ParamField query="module" default="account" type="string">
  Set to `account` for this endpoint.
</ParamField>

<ParamField query="action" default="txlist" type="string">
  Set to `txlist` for this endpoint.
</ParamField>

<ParamField query="from" default="0x73605779985A11B8Fe32E6eD5ae5F249FFD0D7f0" type="string">
  The sender address to filter transactions by.
</ParamField>

<ParamField query="to" default="0x71c7656ec7ab88b098defb751b7401b5f6d8976f" type="string">
  The recipient address to filter transactions by.
</ParamField>

<ParamField query="fromto_opr" default="or" type="string">
  Address filter operator, either `and` or `or`.

  Use `fromto_opr=and` when both `from` and `to` must match. Use `fromto_opr=or` when either `from` or `to` can match.
</ParamField>

<ParamField query="startblock" default="0" type="integer">
  Starting block number to search from.
</ParamField>

<ParamField query="endblock" default="latest" type="string">
  Ending block number to search to, or `latest` for the latest block.
</ParamField>

<ParamField query="sort" default="desc" type="string">
  Sort order, either `desc` for the latest transactions first or `asc` for the oldest transactions first.
</ParamField>

<ParamField query="page" default="1" type="integer">
  Page number for pagination.
</ParamField>

<ParamField query="offset" default="10" type="integer">
  Number of records per page. Use the `page` parameter for subsequent records.
</ParamField>

<ResponseExample>
  ```json theme={null}
  {
     "status":"1",
     "message":"OK",
     "result":[
        {
           "blockNumber":"25115190",
           "blockHash":"0x761e4c9928f804d020809bb21404787595bd1062f1ad975f4ee667514b9dfd31",
           "timeStamp":"1779024299",
           "hash":"0xf292888b132e986f79d95f5788fc21ca08e2096a7fa48ec1c5f265692f01e572",
           "nonce":"756",
           "transactionIndex":"180",
           "from":"0x9480fc2a527bb0f0e5e6a3cf2922bcd123b71302",
           "to":"0x71c7656ec7ab88b098defb751b7401b5f6d8976f",
           "value":"1000000000000000",
           "gas":"21000",
           "gasPrice":"707543925",
           "input":"0x",
           "methodId":"0x",
           "functionName":"",
           "contractAddress":"",
           "cumulativeGasUsed":"23218602",
           "txreceipt_status":"1",
           "gasUsed":"21000",
           "confirmations":"144453",
           "isError":"0"
        },
        {
           "blockNumber":"25110948",
           "blockHash":"0x787fcf3940a9c4903759c8db8f1e8ce7220dbe8a33b51cc274a1ab0f81dcb8fa",
           "timeStamp":"1778973191",
           "hash":"0x0978044c1bcefb3875e60e32ad17ac0ee5790ff288c7bf962b7c2da011a3e2da",
           "nonce":"2356321",
           "transactionIndex":"165",
           "from":"0xcfc0f98f30742b6d880f90155d4ebb885e55ab33",
           "to":"0x71c7656ec7ab88b098defb751b7401b5f6d8976f",
           "value":"2280025690430300",
           "gas":"21000",
           "gasPrice":"99688389",
           "input":"0x",
           "methodId":"0x",
           "functionName":"",
           "contractAddress":"",
           "cumulativeGasUsed":"20407487",
           "txreceipt_status":"1",
           "gasUsed":"21000",
           "confirmations":"148695",
           "isError":"0"
        },
        {
           "blockNumber":"25100650",
           "blockHash":"0x73d81243ce7d02253897285f13f0d902e809f4e81afe8d3279c3009e84493003",
           "timeStamp":"1778849339",
           "hash":"0xf4322f6349742333252e8b3a343ffea99956128b592671f0584369991cff1382",
           "nonce":"1",
           "transactionIndex":"110",
           "from":"0xb0c8bf8d41df1051d6e43a92df1ce00be18319d4",
           "to":"0x71c7656ec7ab88b098defb751b7401b5f6d8976f",
           "value":"25184345489993000",
           "gas":"21000",
           "gasPrice":"614976667",
           "input":"0x",
           "methodId":"0x",
           "functionName":"",
           "contractAddress":"",
           "cumulativeGasUsed":"14457597",
           "txreceipt_status":"1",
           "gasUsed":"21000",
           "confirmations":"158993",
           "isError":"0"
        },
        {
           "blockNumber":"25098446",
           "blockHash":"0xc6bc028585270139d04ef58831142a615e1f29fb1c19b6857bd186d714109d73",
           "timeStamp":"1778822831",
           "hash":"0x6fa98ca16eb30b2cfda0bf960d2d8451b16bf4fb2785add8ad842c79c0be3c2f",
           "nonce":"6",
           "transactionIndex":"72",
           "from":"0xe58bfe009d7252d4bfc3c319e3a0cdf8056877a9",
           "to":"0x71c7656ec7ab88b098defb751b7401b5f6d8976f",
           "value":"86405841050975",
           "gas":"23100",
           "gasPrice":"187248990",
           "input":"0x",
           "methodId":"0x",
           "functionName":"",
           "contractAddress":"",
           "cumulativeGasUsed":"11640736",
           "txreceipt_status":"1",
           "gasUsed":"21000",
           "confirmations":"161197",
           "isError":"0"
        },
        {
           "blockNumber":"25094060",
           "blockHash":"0x3d669f6f6eb063aef8e3b9ce01922b3b627a71cfb4ff8bc68026f89b163548ca",
           "timeStamp":"1778769947",
           "hash":"0x6d3758dde23f8e620d4a305a423578692f0cc8aa3dd2e125139b2ee692e5ae17",
           "nonce":"5398496",
           "transactionIndex":"208",
           "from":"0x264bd8291fae1d75db2c5f573b07faa6715997b5",
           "to":"0x71c7656ec7ab88b098defb751b7401b5f6d8976f",
           "value":"26574330000000000",
           "gas":"500000",
           "gasPrice":"1395684614",
           "input":"0x",
           "methodId":"0x",
           "functionName":"",
           "contractAddress":"",
           "cumulativeGasUsed":"19852043",
           "txreceipt_status":"1",
           "gasUsed":"21000",
           "confirmations":"165583",
           "isError":"0"
        },
        {
           "blockNumber":"25085369",
           "blockHash":"0xdbd0753accd55baa9f6c094dd3a01fb62bc455660d78d8beae4135828cc1921e",
           "timeStamp":"1778665091",
           "hash":"0xd4c1ee9f43b1e729edcb0ceb3cd3506e8a68fd88863af7e6d69a0f023b381622",
           "nonce":"18",
           "transactionIndex":"166",
           "from":"0x58db80d3949398cd0425397039c46241e13a8f33",
           "to":"0x71c7656ec7ab88b098defb751b7401b5f6d8976f",
           "value":"7770000000000000",
           "gas":"31500",
           "gasPrice":"2125485961",
           "input":"0x",
           "methodId":"0x",
           "functionName":"",
           "contractAddress":"",
           "cumulativeGasUsed":"19841086",
           "txreceipt_status":"1",
           "gasUsed":"21000",
           "confirmations":"174274",
           "isError":"0"
        },
        {
           "blockNumber":"25063398",
           "blockHash":"0x1051916494c8aebcdb5b6ee117b5abed2da13c8bb68fddec2e3aaf93400aaff3",
           "timeStamp":"1778400479",
           "hash":"0x55718bcae56111fdabb477a90db212d141d0192f46dd03d82c10328dea1694aa",
           "nonce":"0",
           "transactionIndex":"233",
           "from":"0x71c7662162200fe5698f60651c4f8c09c448976f",
           "to":"0x71c7656ec7ab88b098defb751b7401b5f6d8976f",
           "value":"9149354516798",
           "gas":"21000",
           "gasPrice":"189722547",
           "input":"0x",
           "methodId":"0x",
           "functionName":"",
           "contractAddress":"",
           "cumulativeGasUsed":"21912088",
           "txreceipt_status":"1",
           "gasUsed":"21000",
           "confirmations":"196245",
           "isError":"0"
        },
        {
           "blockNumber":"25019896",
           "blockHash":"0x1a22015e8121cb57244fe466565dd28853d04fa42718d1f1cf6a6f2493b3354f",
           "timeStamp":"1777876739",
           "hash":"0xd12412d17862dbea174cd2204aa5a9f9dabab06d7113c00e8a9e32eaf7000e02",
           "nonce":"10",
           "transactionIndex":"84",
           "from":"0x10dfb4f4640fdb8e4dd5da3b6a95f5b1ece453b2",
           "to":"0x71c7656ec7ab88b098defb751b7401b5f6d8976f",
           "value":"67272908681009",
           "gas":"21000",
           "gasPrice":"1216643736",
           "input":"0x",
           "methodId":"0x",
           "functionName":"",
           "contractAddress":"",
           "cumulativeGasUsed":"10068159",
           "txreceipt_status":"1",
           "gasUsed":"21000",
           "confirmations":"239747",
           "isError":"0"
        },
        {
           "blockNumber":"25002175",
           "blockHash":"0xa65b4d7ad52e2120791e4b85b43eec6579cbf331dd6614916077de1ced83fc46",
           "timeStamp":"1777663523",
           "hash":"0x01a53b23ffd82a81ec494605adb975a4322731d6d5346163429465a3b9eeafc6",
           "nonce":"0",
           "transactionIndex":"163",
           "from":"0x45d665904331f915b88d340f6424526205980088",
           "to":"0x71c7656ec7ab88b098defb751b7401b5f6d8976f",
           "value":"0",
           "gas":"30000",
           "gasPrice":"296172198",
           "input":"0x",
           "methodId":"0x",
           "functionName":"",
           "contractAddress":"",
           "cumulativeGasUsed":"12399193",
           "txreceipt_status":"1",
           "gasUsed":"21000",
           "confirmations":"257468",
           "isError":"0"
        },
        {
           "blockNumber":"24981765",
           "blockHash":"0x888a4dcbebde46b30e44eafe3ec7c2287612c4db022aecf6b4506b017a2ea36f",
           "timeStamp":"1777417847",
           "hash":"0x7ecb5b61fa626a93a9259691c6439d14e3f7288f200eb01c08388b37f0ebcae2",
           "nonce":"10",
           "transactionIndex":"364",
           "from":"0xb873178dc3cc31a16c9bae6894636fce17fbb12b",
           "to":"0x71c7656ec7ab88b098defb751b7401b5f6d8976f",
           "value":"8021004715484893",
           "gas":"21000",
           "gasPrice":"1377717191",
           "input":"0x",
           "methodId":"0x",
           "functionName":"",
           "contractAddress":"",
           "cumulativeGasUsed":"22455577",
           "txreceipt_status":"1",
           "gasUsed":"21000",
           "confirmations":"277878",
           "isError":"0"
        }
     ]
  }
  ```
</ResponseExample>
